Subject: [Fot] Lime Rock Historic Festival

From: Brad Eells via Fot <[email-masked]>
Date: Mon, 24 Aug 2020 22:15:42 -0400

Amici,

I am temporarily displaced from the west coast and working in New England.

I’ve noted the Lime Rock Historic Festival coming up on Labor Day weekend. 

It appears Spectators are limited to Sunday.

I’m curious if any of you are participating and need a “crew member”? Said crew member comes equipped with a camera and can produce a set of quality images for you.

I would like to come down Saturday morning and return after racing Monday.

Happy to cover any associated costs.

Let me know what’s possible!

Brad Eells
Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]